# Scodoc Mobile

## Description

Version mobile de l'application web ScoDoc (v0)

### Fonctionnalités:
- Login
- Choix de département / formation

#### En cours:
- Recherche d'élèves

#### TODO:
- Gestion de semestre
- Affichage des profils étudiants
- Affichage des bulletins de notes

## Usage

`npm run build` > Crée un dossier `build` avec le contenu du site en prod

#### Dans le cadre d'un serveur web Apache

Le contenu du dossier `build` doit etre la racine du site web.

Pour éviter des erreurs 404 liées à l'arborescence React:
```
<Directory ...>
    ...
    RewriteEngine on
    RewriteCond %{REQUEST_FILENAME} -f [OR]
    RewriteCond %{REQUEST_FILENAME} -d
    RewriteRule ^ - [L]
    RewriteRule ^ index.html [L]
</Directory>
```

## Arborescence

### /
Pages de login et choix du département

### /Scolarité
Choix de la formation et barre de recherche d'élèves

### /Scolarité/GestionSem
Page principale de la gestion d'un semestre