import {Component} from "react";
import {Tabs, Tab} from "react-bootstrap"
import Acceuil from "./GestionSemestre/Acceuil";
import Absences from "./GestionSemestre/Absences";
import Eleves from "./GestionSemestre/Eleves";
import ScoNavBar from "./ScoNavBar";

class GestionSemestre extends Component {
    render() {
        return (
            <div>
                <ScoNavBar/>
                <div className="wrapper">
                    <Tabs defaultActiveKey="Acceuil" id="controlled-tab-example">
                        <Tab eventKey="Acceuil" title="Acceuil">
                            <Acceuil />
                        </Tab>
                        <Tab eventKey="Absences" title="Absences">
                            <Absences />
                        </Tab>
                        <Tab eventKey="Eleves" title="Eleves">
                            <Eleves />
                        </Tab>
                    </Tabs>
                </div>
            </div>
        )
    }
}

export default GestionSemestre