import React, {Component} from "react";
import {Link, Redirect} from "react-router-dom";
import './Style.css'
import {Nav, Navbar, Button} from 'react-bootstrap'

class ScoNavBar extends Component {
    constructor(props) {
        super(props);
        this.state = {
            login: {},
            semestre: {},
        };
    }

    logout() {
        fetch("https://scodoc.dev.net/ScoDoc/acl_users/logout")
            .then(res => console.log(res.body))
            .then(res => {return <Redirect to="/" />})
            .catch(console.log)
    }

    render() {
        return (
            <Navbar bg="light" expand="sm">
                <Navbar.Brand>ScoDoc</Navbar.Brand>
                <Navbar.Toggle aria-controls="basic-navbar-nav" />
                <Navbar.Collapse id="basic-navbar-nav">
                    <Nav className="ml-auto">
                        <Link to="/">
                            <Button variant="primary" onClick={() => {this.logout()}}>Déconnexion</Button>
                        </Link>
                    </Nav>
                </Navbar.Collapse>
            </Navbar>
        )
    }
}

export default ScoNavBar